=== src/shareserviceurl/autotests/CMakeLists.txt ===
ecm_add_test(shareserviceurlmanagertest.cpp
    NAME_PREFIX "pimcommon-shareserviceurl-"
    LINK_LIBRARIES Qt5::Test KF5::PimCommon
)
