=== debian/changelog ===
libkf5pimcommon (4:16.04.2-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 05 Jul 2016 23:50:24 +0200

libkf5pimcommon (4:16.04.2-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Update symbols files with the buildds results

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jun 2016 19:52:25 +0200

libkf5pimcommon (4:16.04.1-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Initial release.
  * Inject plugins dependency through the symbols file
  * Add missing breaks/replaces
  * Update the acc test
  * Add dependencies to the dev package that are in the cmake files
  * Update adt testsuite

  [ Automatic packaging ]
  * Update symbols files

 -- Maximiliano Curia <maxy@debian.org>  Fri, 03 Jun 2016 19:09:17 +0200
