=== debian/control ===
Source: libkf5pimcommon
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               libgrantlee5-dev (>= 5.0~),
               libkf5akonadi-dev (>= 4:5.2.0~),
               libkf5akonadicontact-dev (>= 5.2.0~),
               libkf5akonadimime-dev (>= 5.2.0~),
               libkf5archive-dev (>= 5.19.0~),
               libkf5codecs-dev (>= 5.19.0~),
               libkf5config-dev (>= 5.19.0~),
               libkf5contacts-dev (>= 5.2.0~),
               libkf5dbusaddons-dev (>= 5.19.0~),
               libkf5i18n-dev (>= 5.19.0~),
               libkf5imap-dev (>= 5.2.0~),
               libkf5kdelibs4support-dev (>= 5.19.0~),
               libkf5libkdepim-dev (>= 5.2.0~),
               libkf5mime-dev (>= 5.2.0~),
               libkf5newstuff-dev (>= 5.19.0~),
               libkf5pimtextedit-dev (>= 5.2.0~),
               libkf5sonnet-dev (>= 5.19.0~),
               libkf5textwidgets-dev (>= 5.19.0~),
               libkf5wallet-dev (>= 5.19.0~),
               libkf5xmlgui-dev (>= 5.19.0~),
               libqt5webkit5-dev (>= 5.4.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4.0~),
               qtscript5-dev (>= 5.4.0~),
               qttools5-dev (>= 5.4.0~),
               xsltproc
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/pimcommon.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/pimcommon.git

Package: libkf5pimcommon5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Common library for KDE PIM
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the shared libraries.

Package: libkf5pimcommon-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: storageservicemanager (<= 4:16.04)
Replaces: storageservicemanager (<= 4:16.04)
Description: Common library for KDE PIM - data files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the data files used by the library.

Package: libkf5pimcommon-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5libkdepim5 (<= 4:16.04)
Replaces: libkf5libkdepim5 (<= 4:16.04)
Description: Common library for KDE PIM - plugins
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the plugins distributed with the library.

Package: libkf5pimcommon-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:5.2.0~),
         libkf5akonadicontact-dev (>= 5.2.0~),
         libkf5config-dev (>= 5.19.0~),
         libkf5contacts-dev (>= 5.2.0~),
         libkf5imap-dev (>= 5.2.0~),
         libkf5pimcommon5 (= ${binary:Version}),
         libkf5pimtextedit-dev (>= 5.2.0~),
         libkf5textwidgets-dev (>= 5.19.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Common library for KDE PIM - devel files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the development files.
