=== debian/changelog ===
libkf5pimcommon (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  ** SNAPSHOT build @8c579554ee70c7742079f725cf4ba2ead93f2393 **

  [ Maximiliano Curia ]
  ** SNAPSHOT build @cbaf86e9e443a3ef0469738b91e61ba59e7c0789 **

  * Initial release.
  * Inject plugins dependency through the symbols file
  * Add missing breaks/replaces
  * Update the acc test
  * Add dependencies to the dev package that are in the cmake files

  [ Automatic packaging ]
  * Update symbols files

  [ Clive Johnston ]
  * New upstream release, bugfix 16.04.1
  * Sync with Debian, for initial packaging
  * Update VCS fields to point to Launchpad git repo
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:40:07 +0200
