## libkf5pimcommon 17.04.3

=== debian/changelog ===
libkf5pimcommon (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Clive Johnston ]
  * Add new package for libkf5pimcommonakonadi5 and add new dev files to
    libkf5pimcommon-dev

  [ Rik Mills ]
  * Bump soname with debianabimanager due to binary incompatible
    changes: libkf5pimcommon5abi1 -> libkf5pimcommon5abi2

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Refresh add_debian_abi_manager.diff
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:32:51 +0100

libkf5pimcommon (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * Rename libkf5pimcommon5 -> libkf5pimcommon5abi1 and use the debian abi
    manager due to binary incompatible changes.
  * Fix the acc autopkgtests adding libkf5pimtextedit-dev to
    libkf5pimcommon-dev depends.
  * New upstream release (16.12.3)

  [ Clive Johnston ]
  * Fix install file

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update QtWebEngine and QtWebChannel dependency dev package names to
    match debian packaging
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:27:28 +0100
