=== src/pimcommon/customtools/autotests/CMakeLists.txt ===
ecm_add_test(customtoolswidgetngtest.cpp
    TEST_NAME customtoolswidgetngtest
    NAME_PREFIX pimcommon-
    LINK_LIBRARIES Qt5::Test Qt5::Gui KF5::PimCommon KF5::XmlGui
)
