=== debian/changelog ===
libkf5pimcommon (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:34:27 +0000

libkf5pimcommon (4:17.12.2-0ubuntu2) bionic; urgency=medium

  * Disable autocorrection test which has been failing on KDE CI since
    Novemeber 2017

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 01 Mar 2018 15:41:43 +0000

libkf5pimcommon (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * Bump soname with debianabimanager due to binary incompatible
    changes: libkf5pimcommon5abi2 -> libkf5pimcommon5abi3
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:46:19 +0000

libkf5pimcommon (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New build depend on libkf5contacteditor-dev
  * New upstream release (17.08.3)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:14:01 +0000
