=== debian/control ===
--- 
+++ 
@@ -7,21 +7,22 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                libgrantlee5-dev (>= 5.0~),
-               libkf5akonadi-dev (>= 4:17.04.3~),
-               libkf5akonadicontact-dev (>= 4:17.04.3~),
-               libkf5akonadimime-dev (>= 4:17.04.3~),
+               libkf5akonadi-dev (>= 4:17.12.3~),
+               libkf5akonadicontact-dev (>= 4:17.12.3~),
+               libkf5akonadimime-dev (>= 4:17.12.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacts-dev (>= 4:17.04.3~),
+               libkf5contacteditor-dev (>= 4:17.12.3~),
+               libkf5contacts-dev (>= 4:17.12.3~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5imap-dev (>= 17.04.3~),
+               libkf5imap-dev (>= 17.12.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:17.04.3~),
-               libkf5mime-dev (>= 17.04.3~),
+               libkf5libkdepim-dev (>= 4:17.12.3~),
+               libkf5mime-dev (>= 17.12.3~),
                libkf5newstuff-dev (>= 5.31.0~),
-               libkf5pimtextedit-dev (>= 17.04.3~),
+               libkf5pimtextedit-dev (>= 17.12.3~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
@@ -40,8 +41,8 @@
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pimcommon
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pimcommon
 
-Package: libkf5pimcommon5abi2
-X-Debian-ABI: 2
+Package: libkf5pimcommon5abi3
+X-Debian-ABI: 3
 X-CMake-Target: KF5PimCommon
 Architecture: any
 Multi-Arch: same
@@ -90,14 +91,14 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.04.3~),
-         libkf5akonadicontact-dev (>= 4:17.04.3~),
+Depends: libkf5akonadi-dev (>= 4:17.12.3~),
+         libkf5akonadicontact-dev (>= 4:17.12.3~),
          libkf5config-dev (>= 5.31.0~),
-         libkf5contacts-dev (>= 4:17.04.3~),
-         libkf5imap-dev (>= 17.04.3~),
-         libkf5pimcommon5abi2 (= ${binary:Version}),
+         libkf5contacts-dev (>= 4:17.12.3~),
+         libkf5imap-dev (>= 17.12.3~),
+         libkf5pimcommon5abi3 (= ${binary:Version}),
          libkf5pimcommonakonadi5 (= ${binary:Version}),
-         libkf5pimtextedit-dev (>= 17.04.3~),
+         libkf5pimtextedit-dev (>= 17.12.3~),
          libkf5textwidgets-dev (>= 5.31.0~),
          ${misc:Depends},
          ${shlibs:Depends}
