## libkf5pimcommon 18.04.3

=== debian/changelog ===
libkf5pimcommon (4:18.04.3-0ubuntu2) cosmic; urgency=medium

  * Disable acc header test.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 26 Aug 2018 10:01:03 +0100

libkf5pimcommon (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * Update symbols from build logs
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:55:20 +0100
