=== debian/control ===
--- 
+++ 
@@ -7,22 +7,22 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                libgrantlee5-dev (>= 5.0~),
-               libkf5akonadi-dev (>= 4:17.12.3~),
-               libkf5akonadicontact-dev (>= 4:17.12.3~),
-               libkf5akonadimime-dev (>= 4:17.12.3~),
+               libkf5akonadi-dev (>= 4:18.04.3~),
+               libkf5akonadicontact-dev (>= 4:18.04.3~),
+               libkf5akonadimime-dev (>= 4:18.04.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:17.12.3~),
-               libkf5contacts-dev (>= 4:17.12.3~),
+               libkf5contacteditor-dev (>= 4:18.04.3~),
+               libkf5contacts-dev (>= 4:18.04.3~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5imap-dev (>= 17.12.3~),
+               libkf5imap-dev (>= 18.04.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:17.12.3~),
-               libkf5mime-dev (>= 17.12.3~),
+               libkf5libkdepim-dev (>= 4:18.04.3~),
+               libkf5mime-dev (>= 18.04.3~),
                libkf5newstuff-dev (>= 5.31.0~),
-               libkf5pimtextedit-dev (>= 17.12.3~),
+               libkf5pimtextedit-dev (>= 18.04.3~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
@@ -35,7 +35,7 @@
                qtscript5-dev (>= 5.6.1~),
                qttools5-dev (>= 5.6.1~),
                qtwebengine5-dev (>= 5.6.1~),
-               xsltproc
+               xsltproc,
 Standards-Version: 3.9.8
 Homepage: http://pim.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pimcommon
@@ -91,17 +91,17 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.12.3~),
-         libkf5akonadicontact-dev (>= 4:17.12.3~),
+Depends: libkf5akonadi-dev (>= 4:18.04.3~),
+         libkf5akonadicontact-dev (>= 4:18.04.3~),
          libkf5config-dev (>= 5.31.0~),
-         libkf5contacts-dev (>= 4:17.12.3~),
-         libkf5imap-dev (>= 17.12.3~),
+         libkf5contacts-dev (>= 4:18.04.3~),
+         libkf5imap-dev (>= 18.04.3~),
          libkf5pimcommon5abi3 (= ${binary:Version}),
          libkf5pimcommonakonadi5 (= ${binary:Version}),
-         libkf5pimtextedit-dev (>= 17.12.3~),
+         libkf5pimtextedit-dev (>= 18.04.3~),
          libkf5textwidgets-dev (>= 5.31.0~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Common library for KDE PIM - devel files
  This library provides the common parts used across different KDE PIM
  components.
